<!DOCTYPE html>
<html ng-app="SampleApp">
<head>
    <meta charset="UTF-8">
    <title>ng-show &amp; ng-hide</title>

    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">
    <script src="../Libraries/angular.js"></script>

    <script>
        var app = angular.module("SampleApp", []);

        app.controller("SampleAppCtrl", function($scope){
            $scope.showElem1 = false;
            $scope.showElem2 = false;
            $scope.showElem3 = false;
        });
    </script>

    <style>
        div {
        display: inline-block;
        border: 1px solid gray;
        border-radius: 3px;
        margin: 14px;
        padding: 30px;
        }

        #d1{
        background-color: lightgreen;
        }

        #d2{
        background-color: lightblue;
        }

        #d3{
        background-color: lightcoral;
        }

    </style>

</head>
<body ng-controller="SampleAppCtrl">
<div>
    <input type="checkbox" ng-model="showElem1"/> Show Element 1<br/>
    <input type="checkbox" ng-model="showElem2"/> Show Element 2<br/>
    <input type="checkbox" ng-model="showElem3"/> Show Element 3
</div>

<div id="d1" ng-show="showElem1">Element 1</div>
<div id="d2" ng-show="showElem2">Element 2</div>
<div id="d3" ng-show="showElem3">Element 3</div>

</body>
</html>